package com.ruoyi.ibs.grid.domain.dto;

import javax.validation.constraints.NotNull;

public class CustManageSelectDTO {

    /** 客户id */
    @NotNull(message = "客户id不能为空")
    private String custId;

    /** 客户名称 */
    private String custName;

    /** 客户证件号 */
    private String custIdc;

    /** 客户类型 */
    private String custType;

    /** 客户经理id */
    private String userId;

    /** 客户经理名称 */
    private String userName;

    /** 客户经理网点id */
    private String outletId;

    /** 客户经理网点名称 */
    private String outletName;

    /** 客户经理支行id */
    private String branchId;

    /** 客户经理支行名称 */
    private String branchName;

    public String getCustId() {
        return custId;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getCustIdc() {
        return custIdc;
    }

    public void setCustIdc(String custIdc) {
        this.custIdc = custIdc;
    }

    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getOutletId() {
        return outletId;
    }

    public void setOutletId(String outletId) {
        this.outletId = outletId;
    }

    public String getOutletName() {
        return outletName;
    }

    public void setOutletName(String outletName) {
        this.outletName = outletName;
    }

    public String getBranchId() {
        return branchId;
    }

    public void setBranchId(String branchId) {
        this.branchId = branchId;
    }

    public String getBranchName() {
        return branchName;
    }

    public void setBranchName(String branchName) {
        this.branchName = branchName;
    }
}
